import { ComponentBase, DefineVueComponent } from '@syncfusion/ej2-vue-base';
import { PdfViewer, PdfViewerModel } from '@syncfusion/ej2-pdfviewer';
export declare const properties: string[];
export declare const modelProps: string[];
export declare const testProp: any;
export declare const props: any, watch: any, emitProbs: any;
/**
 * `ejs-pdfviewer` represents the VueJS PdfViewer Component.
 * ```vue
 * <ejs-pdfviewer></ejs-pdfviewer>
 * ```
 */
export declare let PdfViewerComponent: DefineVueComponent<PdfViewerModel>;
export declare type PdfViewerComponent = typeof ComponentBase & {
    ej2Instances: PdfViewer;
    isVue3: boolean;
    isLazyUpdate: Boolean;
    plugins: any[];
    propKeys: string[];
    models: string[];
    hasChildDirective: boolean;
    tagMapper: {
        [key: string]: Object;
    };
    tagNameMapper: Object;
    setProperties(prop: any, muteOnChange: boolean): void;
    trigger(eventName: string, eventProp: {
        [key: string]: Object;
    }, successHandler?: Function): void;
    deleteAnnotations(): void;
    download(): void;
    exportAnnotations(): void;
    exportAnnotationsAsObject(): Object;
    exportFormFields(path?: string): void;
    exportFormFieldsAsObject(): Object;
    importAnnotations(importData: any): void;
    importFormFields(formFields: any): void;
    load(document: string, password: string): void;
    redo(): void;
    renderPdfPages(jsonData: any): void;
    requiredModules(): Object[];
    saveAsBlob(): Object;
    setJsonData(jsonData: any): void;
    undo(): void;
    unload(): void;
    updateViewerContainer(): void;
};
export declare const PdfViewerPlugin: {
    name: string;
    install(Vue: any): void;
};
